Bug 1122305 - libreoffice-calc-4.2.5.2-6.fc20: oox::drawingml::Shape::finalizeXShape killed by sigsegv
Summary: libreoffice-calc-4.2.5.2-6.fc20: oox::drawingml::Shape::finalizeXShape killed...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 21:46 UTC by Jan Vesely
Modified: 2014-08-08 17:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-08 17:49:11 UTC


Attachments (Terms of Use)
backtrace (16.21 KB, text/plain)
2014-07-22 21:46 UTC, Jan Vesely
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1109327 None None None Never

Description Jan Vesely 2014-07-22 21:46:53 UTC
Created attachment 920062 [details]
backtrace

Description of problem:
calc crashes when opening a file. the file was created on MAC version of ms office and contains basic tabular data and a lot of graphs.

Version-Release number of selected component (if applicable):
libreoffice-calc-4.2.5.2-6.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. start oocalc
2.
3.

Actual results:


Expected results:


Additional info:
abort suggested that the crash is the same as #1109327, but the bt looks different. gdb took almost 30 mins to generate the backtrace after sigsegv.

Comment 1 David Tardon 2014-07-24 12:16:22 UTC
Could you attach the file here?

Comment 2 Jan Vesely 2014-07-27 20:09:33 UTC
(In reply to David Tardon from comment #1)
> Could you attach the file here?

Unfortunately, I cannot. I'll see if I can create a simple reproducer.

Comment 3 Jan Vesely 2014-08-08 17:49:11 UTC
I can no longer reproduce after today's upgrade to 4.2.6.2-1

I guess it was fixed upstream


Note You need to log in before you can comment on or make changes to this bug.